Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jrex.event.uricontent
Class URIContentListenerImpl

    java.lang.Object
      org.mozilla.jrex.event.uricontent.URIContentListenerImpl

All Implemented Interfaces:
  URIContentListener

public class URIContentListenerImpl
extends Object
implements URIContentListener

Constructor Summary
`URIContentListenerImpl()`

Method Summary
`URIContentEventRV` | `canHandleContent(URIContentEvent event)` When given a uri to dispatch, if the URI is not specified as 'preferred content' then the uri loader calls canHandleContent to see if the content listener is capable of handling the content.
`URIContentEventRV` | `doContent(URIContentEvent event)` Notifies the content listener to hook up an StreamListener capable of consuming the data stream.
`URIContentEventRV` | `isContentPreferred(URIContentEvent event)` Gives the content listener to say whether the content type for load is 'preferred content'
`boolean` | `onStartContent(URIContentEvent event)` Gives the content listener first crack at stopping a load before it happens.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### URIContentListenerImpl

    public URIContentListenerImpl()

Method Detail

### onStartContent

    public boolean onStartContent(URIContentEvent event)

  Description copied from interface: `URIContentListener`
  Gives the content listener first crack at stopping a load before it happens.

  Specified by:
    `onStartContent` in interface `URIContentListener`
  Returns:
    `false` if the load can continue; `true` if the load should be aborted.
  See Also:
    `URIContentEvent`

### doContent

    public URIContentEventRV doContent(URIContentEvent event)

  Description copied from interface: `URIContentListener`
  Notifies the content listener to hook up an StreamListener capable of consuming the data stream.

  Specified by:
    `doContent` in interface `URIContentListener`
  See Also:
    `URIContentEvent`, `DoContentEventParam`, `URIContentEventRV`

### isContentPreferred

    public URIContentEventRV isContentPreferred(URIContentEvent event)

  Description copied from interface: `URIContentListener`
  Gives the content listener to say whether the content type for load is 'preferred content'

  Specified by:
    `isContentPreferred` in interface `URIContentListener`
  See Also:
    `URIContentListener.canHandleContent(URIContentEvent)`, `URIContentEvent`, `URIContentEventRV`

### canHandleContent

    public URIContentEventRV canHandleContent(URIContentEvent event)

  Description copied from interface: `URIContentListener`
  When given a uri to dispatch, if the URI is not specified as 'preferred content' then the uri loader calls canHandleContent to see if the content listener is capable of handling the content.

  Specified by:
    `canHandleContent` in interface `URIContentListener`
  See Also:
    `URIContentEvent`, `URIContentEventRV`, `CanHandleEventParam`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.